#!/usr/bin/env python
"""
Axe Interpreter

An interpreter for programs written in the Axe Parser language for computers.

Author: Michael Lee (<michael.lee.0x2a@gmail.com>)
License: GNU Lesser GPL
"""

prog_name = 'Axe Interpreter'

author = 'Michael Lee <michael.lee.0x2a@gmail.com>'

license = 'GNU Lesser GPL'

version = '0.0'

release = 'December 20th, 2011'


help = """> {prog_name}
> 
> Please see the readme.
> 
> You are currently running this program in interpreter mode.
> To quit the program, type '@EXIT' (no quotes)
> 
> To run a text file, run this program from the command line:
> [code]
>     python ~/axe-interpreter/main.py myprog.txt
> [/code]""".format(**locals())

about = """> {prog_name}
> 
> Axe Parser is a programming language designed for the TI-83+
> line of calculators. This project will attempt to create an 
> implementation in Python.
> 
> This project currently only supports a VERY limited subset
> of Axe.
> 
> Author:  {author}
> License: {license}
> Version: {version}
>
> You can find Axe Parser at:
> <http://www.omnimaga.org/index.php?board=71.0>
> ...and the latest versions at:
> <http://www.omnimaga.org/index.php?topic=1463.30>""".format(**locals())


class ExitException(Exception):pass






